/*region Sidebar */
@media (min-width: 992px) {
    .product-item-detail-slider-controls-block {
        overflow: hidden;
    }
}
.product-item-detail-pay-block {
    position: relative;
    margin-bottom: 15px;
    padding: 15px 15px 0;
    border: 1px solid #e4e4e4;
    border-radius: 3px;
    background-color: #fff;
}

.bx-retina .product-item-detail-pay-block {
    border-width: .5px;
}

/*endregion*/

/*region Compare*/
.product-item-detail-compare-container {
    position: relative;
    margin: 0 -15px 1px -14px;
    padding: 4px 15px;
    min-height: 30px;
    border-top: 1px solid #e4e4e4;
    background: #f3f3f3;
    box-shadow: inset 0 1px 1px 0 #eee;
    color: #4e4e4e;
    vertical-align: middle;
    font-size: 12px;
    line-height: 20px;
    border-radius: 1px;
}

.product-item-detail-compare .checkbox {
    margin: 0;
    padding: 0;
}

/*endregion*/

/*region Price */
.product-item-detail-price-current {
    color: #d0021b;
    white-space: nowrap;
    font-weight: bold;
    text-align: center;
    font-size: 30px;
    line-height: 33px;
    transition: font-size 200ms ease;
}

.product-item-detail-price-old {
    color: #bdbdbd;
    text-align: center;
    text-decoration: line-through;
    white-space: nowrap;
    font-weight: bold;
    font-size: 14px;
    line-height: 17px;
}

.product-item-detail-economy-price {
    color: #333;
    text-align: center;
    /*white-space: nowrap;*/
    font-weight: bold;
    font-size: 14px;
    line-height: 17px;
}

/*endregion*/

.product-item-detail-info-container-title {
    color: #a5a5a5;
    font-size: 12px;
}

/*region SCU */
.product-item-scu-container-title {
    color: #a5a5a5;
    font-size: 12px;
}

.product-item-scu-block {
}

.product-item-scu-list {
    margin: 0;
}

.product-item-scu-item-list {
    overflow: hidden;
    margin: 0;
    padding: 0;
    list-style: none;
}

.product-item-scu-item-color-container,
.product-item-scu-item-text-container {
    display: inline-block;
    box-sizing: border-box;
    padding: 5px 3px;
    max-width: 100%;
    vertical-align: middle;
}

.product-item-scu-item-text-container {
    min-width: 48px;
}

.product-item-scu-item-color-container {
    max-width: 60px;
    width: 25%;
}

.product-item-scu-item-color-block {
    position: relative;
    padding-top: 100%;
    outline: 1px solid #c0cfda;
    cursor: pointer;
}

.bx-no-touch .product-item-scu-item-color-block {
    transition: outline 200ms ease;
}

.bx-retina .product-item-scu-item-color-block {
    outline-width: .5px;
}

.product-item-scu-item-color-container.selected .product-item-scu-item-color-block {
    outline-width: 2px;
}

.bx-retina .product-item-scu-item.selected .product-item-scu-item-color-block {
    outline-width: 1px;
}

.product-item-scu-item-color {
    position: absolute;
    top: 2px;
    right: 2px;
    bottom: 2px;
    left: 2px;
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
}

.product-item-scu-item-text-block {
    position: relative;
    padding: 0 5px;
    outline: 1px solid #c0cfda;
    cursor: pointer;
}

.bx-no-touch .product-item-scu-item-text-block {
    transition: outline 300ms ease;
}

.bx-retina .product-item-scu-item-text-block {
    outline-width: .5px;
}

.product-item-scu-item-text-block:hover,
.product-item-scu-item-color-block:hover,
.product-item-scu-item-text-container.selected .product-item-scu-item-text-block,
.product-item-scu-item-color-container.selected .product-item-scu-item-color-block {
    outline-color: var(--theme-color-primary);
}

.product-item-scu-item-text-container.selected .product-item-scu-item-text-block {
    outline-width: 2px;
}

.bx-retina .product-item-scu-item.selected .product-item-scu-item-text-block {
    outline-width: 1px;
}

.product-item-scu-item-text {
    overflow: hidden;
    max-width: 100%;
    vertical-align: middle;
    text-align: center;
    text-transform: uppercase;
    text-overflow: ellipsis;
    white-space: nowrap;
    font-size: 11px;
    line-height: 18px;
}

.product-item-scu-item-color-container.notallowed .product-item-scu-item-color-block,
.product-item-scu-item-text-container.notallowed .product-item-scu-item-text-block {
    position: relative;
    overflow: hidden;
    outline-color: #a9adb4 !important;
}

.product-item-scu-item-color-container.notallowed .product-item-scu-item-color-block:after,
.product-item-scu-item-text-container.notallowed .product-item-scu-item-text-block:after {
    position: absolute;
    top: -2px;
    right: -2px;
    bottom: -2px;
    left: -2px;
    background: rgba(255, 255, 255, 0.75) url(data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHdpZHRoPSIyNiIgaGVpZ2h0PSIyNiIgdmlld0JveD0iMCAwIDI2IDI2Ij4gIDxwYXRoIGZpbGw9IiNBOUFEQjQiIGZpbGwtcnVsZT0iZXZlbm9kZCIgZD0iTTE0LjM5MjEyNjgsMTMuMjMyMzAyOSBMMjUuOTkyLDEuNDE4IEwyNC42LDAgTDEyLjk5OTk5NTYsMTEuODE0NDM2NCBMMS40LDAgTDAuMDA5LDEuNDE5IEwxMS42MDc4Njg3LDEzLjIzMjI5NzUgTDAuNDczLDI0LjU3MyBMMS44NjUsMjUuOTkxIEwxMi45OTk5OTkzLDE0LjY1MDE2NDUgTDI0LjEzNCwyNS45OSBMMjUuNTI2LDI0LjU3MiBMMTQuMzkyMTI2OCwxMy4yMzIzMDI5IFoiLz48L3N2Zz4=) no-repeat center;
    background-size: 80% 80%;
    content: "";
}

.product-item-selected-scu-container {
    word-spacing: 1px
}

.product-item-selected-scu {
    display: inline-block;
    overflow: hidden;
    padding: 0 5px;
    min-width: 22px;
    height: 22px;
    outline: 1px solid #c0cfda;
    outline-color: var(--theme-color-primary);
    vertical-align: middle;
    text-align: center;
    text-transform: uppercase;
    text-overflow: ellipsis;
    white-space: nowrap;
    font-size: 11px;
    line-height: 22px;
}

.bx-retina .product-item-selected-scu {
    outline-width: .5px;
}

.product-item-selected-scu-color {
    background-position: center;
    background-size: 20px 20px;
    background-repeat: no-repeat;
}

/*endregion*/

/*region Amount*/
.product-item-amount {
    padding: 0 0 2px;
    text-align: center;
}

.product-item-amount-field-container {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    position: relative;
    max-width: 150px;
    margin: 0 auto 15px;
}

.product-item-amount-field-btn-plus,
.product-item-amount-field-btn-minus {
    position: relative;
    display: block;
    min-width: 22px;
    height: 22px;
    border-radius: 2px;
    background-color: #f2f2f2 ;
    color: #fff;
    vertical-align: middle;
    text-align: center;
    cursor: pointer;
    transition: background 300ms ease, opacity 300ms ease;
}

.bx-retina .product-item-amount-field-btn-plus,
.bx-retina .product-item-amount-field-btn-minus {
    border-width: .5px;
}

.product-item-amount-field-btn-plus:hover,
.product-item-amount-field-btn-minus:hover {
    background: #d3d3d3;
}

.product-item-amount-field-btn-plus:after,
.product-item-amount-field-btn-minus:after {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    content: "";
    opacity: .8;
    transition: opacity 300ms ease, background 300ms ease;
}

.product-item-amount-field-btn-disabled.product-item-amount-field-btn-plus:after,
.product-item-amount-field-btn-disabled.product-item-amount-field-btn-minus:after {
    opacity: .3 !important;
    cursor: default;
}

.product-item-amount-field-btn-disabled.product-item-amount-field-btn-plus:hover,
.product-item-amount-field-btn-disabled.product-item-amount-field-btn-minus:hover {
    background-color: #f2f2f2;
}

.product-item-amount-field-btn-minus:after {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    content: "";
    opacity: .8;
    transition: opacity 300ms ease;
}

.product-item-amount-field-btn-plus:after {
    background: url(data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHdpZHRoPSIzMCIgaGVpZ2h0PSIzMCIgdmlld0JveD0iMCAwIDMwIDMwIj4gIDxwYXRoIGZpbGw9IiM1MjVDNjgiIGZpbGwtcnVsZT0iZXZlbm9kZCIgZD0iTTE4LDEyIEwxOCwwIEwxMiwwIEwxMiwxMiBMMCwxMiBMMCwxOCBMMTIsMTggTDEyLDMwIEwxOCwzMCBMMTgsMTggTDMwLDE4IEwzMCwxMiBMMTgsMTIgWiIvPjwvc3ZnPg==) no-repeat center;
    background-size: 10px;
}

.product-item-amount-field-btn-minus:after {
    background: url(data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHdpZHRoPSIzMCIgaGVpZ2h0PSIzMCIgdmlld0JveD0iMCAwIDMwIDMwIj4gIDxyZWN0IHdpZHRoPSIzMCIgaGVpZ2h0PSI2IiB5PSIxMiIgZmlsbD0iIzUyNUM2OCIgZmlsbC1ydWxlPSJldmVub2RkIi8+PC9zdmc+) no-repeat center;
    background-size: 10px;
}

.product-item-amount-field-btn-plus:hover:after,
.product-item-amount-field-btn-minus:hover:after {
    opacity: 1;
}

.product-item-amount-field-block {
    -webkit-box-flex: 1;
    -ms-flex: 1;
    flex: 1;
}

.product-item-amount-field {
    display: block;
    padding: 0;
    width: 100%;
    height: 22px;
    border: 1px solid transparent;
    border-radius: 2px;
    background: transparent !important;
    color: #000;
    vertical-align: middle;
    text-align: center;
    font-weight: bold;
    font-size: 19px;
    line-height: 22px;
    transition: border 300ms ease;
}

.bx-retina .product-item-amount-field {
    border-width: .5px;
}

.product-item-amount-field:focus {
    outline: none !important;
    border-color: #006cc0;
    border-color: var(--theme-color-primary);
}

.bx-no-touch input.product-item-amount-field::-webkit-outer-spin-button,
.bx-no-touch input.product-item-amount-field::-webkit-inner-spin-button {
    margin: 0;
    -webkit-appearance: none;
    -moz-appearance: none;
    -ms-appearance: none;
    -o-appearance: none;
    appearance: none;
}

.product-item-amount-description-container {
    position: absolute;
    top: 100%;
    left: 0;
    right: 0;
    color: #a5a5a5;
    white-space: nowrap;
    font-size: 12px;
}

.product-item-amount-description-container strong {
    color: #333;
    white-space: nowrap;
}

.product-item-amount-label-container {
    margin: 5px 0;
    color: #a5a5a5;
    font-weight: bold;
    font-size: 12px;
}

/**/
.product-item-quantity {
    color: #333;
    font-weight: normal;
    font-size: 12px;
}

/*endregion*/

/*region Buy button*/
.btn.product-item-detail-buy-button {
    position: relative;
    display: block;
    margin: 0 auto;
    max-width: 250px;
    width: 100%;
    padding-top: 12px;
    padding-bottom: 12px;
    font-weight: bold;
    text-transform: uppercase;
}

.product-item-detail-short-card-btn .btn.product-item-detail-buy-button {
    margin: 0;
}

.btn.product-item-detail-buy-button span {
    position: absolute;
    top: 50%;
    right: 0;
    left: 0;
    display: inline-block;
    min-height: 16px;
    max-width: 100%;
    white-space: normal;
    line-height: 16px;
    transform: translateY(-50%);
}

.btn-link.product-item-detail-buy-button {
    height: 25px;
}

/*endregion*/

/*region Slider */
.product-item-detail-slider-container {
    position: relative;
    max-width: 100%;
    background: transparent;
    transition: background 800ms ease;
    z-index: 90;
}

.product-item-detail-slider-block {
    position: relative;
    box-sizing: border-box;
    padding-top: 85%;
    height: 0;
}

.product-item-detail-slider-block.product-item-detail-slider-block-square {
    padding-top: 100%;
}

.product-item-detail-slider-images-container {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
}

.product-item-detail-slider-image {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    text-align: center;
    opacity: 0;
    transition: opacity 250ms linear;
}

.product-item-detail-slider-image.active {
    z-index: 10;
    opacity: 1;
}

.product-item-detail-slider-image img {
    position: absolute;
    top: 50%;
    left: 50%;
    max-width: 100%;
    max-height: 100%;
    width: auto;
    height: auto;
    outline: 1px solid transparent;
    background-position: center;
    background-repeat: no-repeat;
    transition: background-size 450ms ease, width 450ms ease, height 450ms ease, outline 450ms ease;
    transform: translateY(-50%) translateX(-50%);
}

.product-item-detail-slider-progress-bar {
    position: absolute;
    bottom: 0;
    left: 0;
    z-index: 180;
    height: 3px;
    background-color: #006cc0;
    background-color: var(--theme-color-primary)
}

/*endregion*/

/*region Slider Controls*/
.product-item-detail-slider-controls-block {
    padding: 10px 0;
    text-align: center;
}

.product-item-detail-slider-controls-image {
    position: relative;
    display: inline-block;
    overflow: hidden;
    width: 65px;
    height: 65px;
    outline: 1px solid #bccd2a;
    background-color: #fff;
    text-align: center;
    cursor: pointer;
}

.product-item-detail-slider-controls-image:hover,
.product-item-detail-slider-controls-image.active {
    outline-color: #bccd2a;
}

.bx-no-retina .product-item-detail-slider-controls-image.active {
    outline-width: 2px;
}

.bx-retina .product-item-detail-slider-controls-image {
    outline-width: .5px;
}

.bx-retina .product-item-detail-slider-controls-image.active {
    outline-width: 1px;
}

.product-item-detail-slider-controls-image img {
    position: absolute;
    top: 50%;
    left: 50%;
    max-width: 65px;
    max-height: 65px;
    width: auto;
    height: auto;
    transform: translateY(-50%) translateX(-50%);
}

.product-item-detail-slider-left,
.product-item-detail-slider-right {
    position: absolute;
    top: 0;
    bottom: 0;
    z-index: 111;
    display: block;
    width: 25%;
    background: rgba(255, 255, 255, 0) url('data:image/svg+xml;charset=US-ASCII,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20width%3D%2216%22%20height%3D%2230%22%20viewBox%3D%220%200%2016%2030%22%3E%3Cpolygon%20fill%3D%22%23000000%22%20fill-rule%3D%22evenodd%22%20points%3D%2216%2050%202%2036%2016%2022%2015%2021%201%2035%200%2036%201%2037%2015%2051%22%20transform%3D%22translate(0%20-21)%22%2F%3E%3C%2Fsvg%3E') no-repeat center;
    opacity: .57;
    cursor: pointer;
    transition: all 300ms ease;
}

.product-item-detail-slider-left {
    left: 0;
}

.product-item-detail-slider-right {
    right: 0;
    transform: rotate(180deg);
}

.product-item-detail-slider-left:hover,
.product-item-detail-slider-right:hover {
    background-color: rgba(255, 255, 255, .4);
    opacity: .8;
}

.product-item-detail-slider-close {
    display: none;
}

.product-item-detail-slider-container.popup .product-item-detail-slider-close {
    position: absolute;
    top: 4px;
    right: 110px;
    bottom: 0;
    z-index: 150;
    display: block;
    width: 50px;
    height: 50px;
    background: url('data:image/svg+xml;charset=US-ASCII,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20width%3D%2216%22%20height%3D%2216%22%20viewBox%3D%220%200%2016%2016%22%3E%3Cpolygon%20fill%3D%22%23000000%22%20fill-rule%3D%22evenodd%22%20points%3D%2216%2015.1%208.944%208%2016%201%2015.006%200%208.05%207%20.994%200%200%201%207.056%208%200%2015.1%20.994%2016%208.05%209%2015.006%2016%22%2F%3E%3C%2Fsvg%3E') no-repeat center;
    opacity: .27;
    cursor: pointer;
    transition: all 300ms ease;
}

.product-item-detail-slider-container.popup .product-item-detail-slider-close:hover {
    opacity: 1;
}

.product-item-detail-slider-container.popup .product-item-detail-slider-right {
    right: 105px;
}

/*endregion*/

/*region magnified*/
.product-item-detail-slider-container.magnified .product-item-detail-slider-image {
    z-index: 100;
}

.product-item-detail-slider-container.magnified .product-item-detail-slider-image img {
    outline-color: #ddd;
}

.product-item-detail-slider-container.magnified .product-item-detail-slider-left,
.product-item-detail-slider-container.magnified .product-item-detail-slider-right {
    z-index: 50;
}

.product-item-detail-slider-container.magnified .product-item-label-text,
.product-item-detail-slider-container.magnified .product-item-label-ring {
    opacity: 0;
}

/*	>>>	popup*/
.product-item-detail-slider-container.popup {
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 999999;
    background: #fff;
    animation-name: imgPopupShow;
    animation-duration: 300ms;
}

.product-item-detail-slider-container.popup .product-item-detail-slider-images-container {
    right: 105px;
}

.product-item-detail-slider-container.popup .product-item-detail-slider-block {
    padding-top: 0;
    height: 100vh;
}

.product-item-detail-slider-container.popup .product-item-detail-slider-image {
    position: absolute;
    top: 50%;
    left: 50%;
    max-height: 100vh;
    width: calc(100% - 150px);
    transform: translateY(-50%) translateX(-50%);
}

@-webkit-keyframes imgPopupShow {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}

@-moz-keyframes imgPopupShow {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}

@-ms-keyframes imgPopupShow {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}

@-o-keyframes imgPopupShow {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}

@keyframes imgPopupShow {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}

.product-item-detail-slider-container.popup .product-item-detail-slider-image img {
    max-width: 100%;
    max-height: 90vh;
    width: auto;
    cursor: default
}

.product-item-detail-slider-container.popup .product-item-detail-slider-controls-block {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    overflow-y: auto;
    padding: 20px;
    border-left: 1px solid #d3d3d3;
    background-color: #fff;
}

.product-item-detail-slider-container.popup .product-item-detail-slider-controls-image {
    display: block;
    margin-bottom: 20px;
}

/*endregion*/

/*region  Slider Mobile*/
@media (max-width: 767px) {
    .product-item-detail-slider-container.popup .product-item-detail-slider-images-container {
        right: 0;
    }

    .product-item-detail-slider-container.popup .product-item-detail-slider-block {
        padding-top: 0;
        height: calc(100vh - 111px);
    }

    .product-item-detail-slider-container.popup .product-item-detail-slider-image {
        width: 90%;
    }

    .product-item-detail-slider-container.popup .product-item-detail-slider-image img {
        max-width: 100%;
        max-height: calc(100vh - 115px);
        width: auto;
        cursor: default;
    }

    .product-item-detail-slider-container.popup .product-item-detail-slider-controls-block {
        position: absolute;
        top: auto;
        right: 0;
        bottom: 0;
        left: 0;
        overflow-x: auto;
        max-height: 111px;
        border-top: 1px solid #d3d3d3;
        border-left: none;
        white-space: nowrap;
    }

    .product-item-detail-slider-container.popup .product-item-detail-slider-controls-image {
        display: inline-block;
        margin-bottom: 0;
    }

    .product-item-detail-slider-container.popup .product-item-detail-slider-close {
        right: 10px;
        z-index: 200;
    }

    .product-item-detail-slider-left,
    .product-item-detail-slider-right {
        max-width: 75px;
    }

    .product-item-detail-slider-container.popup .product-item-detail-slider-right {
        right: 0;
    }

}

/*endregion*/

/*region Label*/
.product-item-label-text,
.product-item-label-ring {
    position: absolute;
    z-index: 190;
    opacity: 1;
    transition: opacity 450ms ease;
}

.product-item-label-text span,
.product-item-label-ring {
    display: inline-block;
    clear: both;
    margin-bottom: 2px;
    background: #f42c2c;
    color: #fff;
    vertical-align: middle;
    text-align: center;
    transition: all 250ms ease;
}

.bx-red .product-item-label-text span,
.bx-red .product-item-label-ring {
    background-color: #fba90c;
}

.product-item-label-text > div,
.product-item-label-ring > div {
    line-height: 0;
}

.product-item-detail-slider-container.popup .product-item-label-text,
.product-item-detail-slider-container.popup .product-item-label-ring {
    display: none;
}

/* TEXT */
.product-item-label-text span {
    padding: 2px 5px;
    vertical-align: middle;
    font-weight: bold;
}

.product-item-label-text.product-item-label-small span {
    margin-bottom: 1px;
    padding: 2px 7px;
    font-weight: normal;
    font-size: 13px;
    line-height: 14px;
}

.product-item-label-text.product-item-label-big span {
    padding: 4px 10px;
    font-size: 13px;
    line-height: 17px;
}

@media (max-width: 767px) {
    .product-item-label-text > div {
        line-height: 0;
    }

    .product-item-label-text.product-item-label-small span,
    .product-item-scalable-card.hover .product-item-label-text.product-item-label-small span {
        margin-bottom: 1px;
        padding: 2px 7px;
        font-size: 10px;
        line-height: 14px;
    }

    .product-item-big-card .product-item-label-text.product-item-label-small span,
    .product-item-label-text.product-item-label-big span,
    .product-item-scalable-card.hover .product-item-label-text.product-item-label-big span {
        margin-bottom: 1px;
        padding: 3px 12px;
        font-size: 14px;
        line-height: 16px;
    }

    .product-item-big-card .product-item-label-text.product-item-label-big span {
        padding: 3px 12px;
        font-size: 20px;
        line-height: 25px;
    }
}

/*RING*/
.product-item-label-ring {
    box-sizing: border-box;
    border-radius: 50%;
    font-weight: bold;
}

.product-item-label-ring.product-item-label-small {
    width: 40px;
    height: 40px;
    font-size: 14px;
    line-height: 40px;
}

.product-item-label-ring.product-item-label-big {
    width: 50px;
    height: 50px;
    font-size: 18px;
    line-height: 50px;
}

@media (max-width: 767px) {
    .product-item-label-ring.product-item-label-small,
    .product-item-scalable-card.hover .product-item-label-ring.product-item-label-small {
        width: 20px;
        height: 20px;
        font-size: 13px;
        line-height: 20px;
    }

    .product-item-big-card .product-item-label-ring.product-item-label-small,
    .product-item-label-ring.product-item-label-big,
    .product-item-scalable-card.hover .product-item-label-ring.product-item-label-big {
        width: 35px;
        height: 35px;
        font-size: 12px;
        line-height: 35px;
    }

    .product-item-big-card .product-item-label-ring.product-item-label-big {
        width: 70px;
        height: 70px;
        font-size: 24px;
        line-height: 70px;
    }
}

.product-item-label-top {
    top: -5px;
}

.product-item-label-center {
    left: 50%;
    transform: translateX(-50%);
}

.product-item-label-center > div {
    text-align: center;
}

.product-item-label-left {
    left: -5px;
}

.product-item-label-left > div {
    text-align: left;
}

.product-item-label-bottom {
    bottom: -5px;
}

.product-item-label-middle {
    top: 50%;
    transform: translateY(-50%);
}

.product-item-label-right {
    right: -5px;
}

.product-item-label-right > div {
    text-align: right;
}

.product-item-label-center.product-item-label-middle {
    transform: translateY(-50%) translateX(-50%);
}

/*endregion*/

/*region  Tabs */
.product-item-detail-tabs-container {
    min-height: 60px;
    border-bottom: 1px solid #ededed;
}

.product-item-detail-tabs-list {
    display: block;
    margin: 0;
    padding: 0;
    list-style: none;
}

.product-item-detail-tabs-list:after {
    display: table;
    clear: both;
    content: "";
}

.product-item-detail-tab {
    float: left;
    min-height: 60px;
}

.product-item-detail-tab-link {
    position: relative;
    display: inline-block;
    box-sizing: border-box;
    padding: 10px 25px;
    height: 60px;
    color: #000;
    vertical-align: middle;
    text-transform: uppercase;
    -ms-text-overflow: ellipsis;
    text-overflow: ellipsis;
    font-weight: bold;
    font-size: 13px;
    line-height: 45px;
    transition: all 250ms ease;
}

.product-item-detail-tab-link:hover,
.product-item-detail-tab.active .product-item-detail-tab-link {
    color: #006cc0;
    color: var(--theme-color-primary);
    text-decoration: none;
}

.product-item-detail-tab-link:after {
    position: absolute;
    right: 0;
    bottom: 0;
    left: 0;
    height: 0;
    background: #006cc0;
    background: var(--theme-color-primary);
    content: "";
    transition: all 250ms ease;
}

.product-item-detail-tab-link:hover:after,
.product-item-detail-tab.active .product-item-detail-tab-link:after {
    height: 3px;
}

.product-item-detail-tab-link:active:after {
    height: 6px;
}

.product-item-detail-tab-content {
    padding: 25px 0;
}

@media (max-width: 991px) {
    .product-item-detail-tabs-container {
        display: none !important;
    }

    .product-item-detail-tab-content {
        display: block !important;
    }
}

/*Tab fixed*/
.product-item-detail-tabs-container-fixed {
    position: fixed;
    top: -100px;
    right: 0;
    left: 0;
    z-index: 300;
    background-color: #fff;
    box-shadow: 0 4px 14px 0 rgba(32, 54, 74, .23);
    transition: top 350ms linear;
}

.product-item-detail-tabs-container-fixed {
    min-height: 45px;
    background: #fff;
}

.product-item-detail-tabs-container-fixed.active {
    top: 0;
    opacity: 1;
}

.product-item-detail-tabs-container-fixed .product-item-detail-tabs-list {
    margin: 0 auto;
    max-width: 1048px;
}

.product-item-detail-tabs-container-fixed .product-item-detail-tab {
    min-height: 45px;
}

.product-item-detail-tabs-container-fixed .product-item-detail-tab-link {
    padding: 10px 25px;
    height: 45px;
    line-height: 25px;
}

.bx-touch .product-item-detail-tabs-container-fixed {
    display: none !important;
}

/*endregion*/

/*region Small Card*/
.product-item-detail-short-card-fixed {
    position: fixed;
    top: -85px;
    right: 0;
    left: 0;
    z-index: 310;
    box-sizing: border-box;
    height: 85px;
    background-color: #fff;
    box-shadow: 0 4px 14px 0 rgba(32, 54, 74, .23);
    transition: top 220ms linear;
}

.product-item-detail-short-card-fixed.active {
    top: 0;
    opacity: 1;
}

.product-item-detail-short-card-fixed.active + .product-item-detail-tabs-container-fixed.active {
    top: 85px;
}

.bx-touch .product-item-detail-short-card-fixed {
    display: none !important;
}

.product-item-detail-short-card-fixed .product-item-detail-short-card-content-container {
    margin: 0 auto;
    max-width: 1048px;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    width: 100%;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
}

.product-item-detail-short-card-image {
    padding-right: 15px;
    width: 80px;
    max-width: 80px;
    vertical-align: middle;
    text-align: center;
}

.product-item-detail-short-card-image img {
    max-width: 100%;
    height: auto;
    max-height: 65px;
    width: auto;
}

.product-item-detail-short-title-container {
    max-width: 650px;
    -webkit-box-flex: 1;
    -ms-flex: 1;
    flex: 1;
}

.product-item-detail-short-title-text {
    display: block;
    color: #000;
    -ms-text-overflow: ellipsis;
    text-overflow: ellipsis;
    font-size: 16px;
    font-family: "Open Sans", "Helvetica Neue", Helvetica, Arial, sans-serif;
}

.product-item-detail-short-card-price {
    padding: 0 10px;
    vertical-align: middle;
    text-align: right;
}

.product-item-detail-short-card-btn {
    padding-left: 10px;
    min-width: 120px;
}

/*endregion*/

/*region Properties */
.product-item-detail-tab-content {
    display: none;
}

.product-item-detail-tab-content.active {
    display: block;
}

.product-item-detail-tab-content h3 {
    margin-bottom: 10px;
    font-weight: bold;
    font-size: 14px;
}

.product-item-detail-properties {
    margin: 0;
    padding: 0;
    list-style: none;
    display: block;
}

.product-item-detail-properties-item {
    margin-bottom: 5px;
    display: flex;
    align-items: stretch;
}

.product-item-detail-properties-dots {
    border-bottom: 1px dotted #a5a5a5;
    -ms-flex-preferred-size: 0;
    flex-basis: 0;
    -ms-flex-positive: 1;
    flex-grow: 1;
    max-width: 100%;
}

.product-item-detail-properties-name,
.product-item-detail-properties-value {
    -ms-flex: 0 0 auto;
    flex: 0 0 auto;
    max-width: 50%;
    width: auto;
    font-size: 12px;
}

.product-item-detail-properties-name {
    padding-right: 3px;
    color: #a5a5a5;
}

.product-item-detail-properties-value {
    color: #343a40;
    padding-left: 3px;
    text-align: right;
}

/*endregion*/

.no-select {
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

input[type='number'] {
    -moz-appearance: textfield;
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
}

/*todo Custom*/
.product-item-scu-item-color-container {
    display: none;
}

.product-item-scu-item-color-container:not(.notallowed) {
    display: block;
}

.detail__colors .product-item-scu-item-color-container {
    max-width: initial;
    width: 1.5rem;
    height: 1.5rem;
    padding: 0;
    margin: 0.25rem;
    border-radius: 15%;
}

.detail__colors .product-item-scu-item-color-block {
    box-shadow: 0 0 1px rgba(0, 0, 0, 0.75);
    width: 100%;
    height: 100%;
    outline: none;
    padding-top: 0;
}

.detail__colors .product-item-scu-item-color-container.selected .product-item-scu-item-color-block {
    box-shadow: 0 0 3px rgba(0, 0, 0, 1);
}

.detail__colors .product-item-scu-item-color {
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
}

.btn-notallowed {
    display: block;
    padding: 10px 15px;
    width: 100%;
    background: #F8F8F9;
    /* box-shadow: 2px 2px #4b575f; */
    box-shadow: rgba(14, 30, 37, 0.12) 0px 2px 4px 0px, rgba(14, 30, 37, 0.32) 0px 2px 16px 0px;
    border-radius: 6px;
    text-align: center;
    font-weight: 500;
    color: #4b575f;
    transition: all 0.3s ease;
    margin-top: 15px;
}

.product-detail .owl-thumbs {
    margin-top: 1rem;
    order: 13;
}

@media all and (min-width: 992px) {
    .product-detail .owl-thumbs {
        order: initial;
    }
}

.product-detail .owl-thumbs .thumb {
    outline: none;
    padding-bottom: 0 !important;
    width: 1rem;
    height: 1rem;
    border: 2px solid var(--primary);
    border-radius: 50%;
}
@media all and (min-width: 992px) {
    .product-detail .owl-thumbs .thumb {
        width: 100%;
        height: 150px;
        max-height: 150px;
        background-color: transparent !important;
        border: none;
        border-radius: 0;
        padding-bottom: 100% !important;
    }
}

.product-detail .owl-thumbs .active.thumb {
    background-color: var(--primary);
}

@media all and (min-width: 992px) {
    .product-detail .owl-thumbs .active.thumb::before,
    .product-detail .owl-thumbs .active.thumb::after {
        display: block;
    }

}
.product-detail .owl-thumbs .thumb > img {
    max-width: initial;
    display: none;
}
@media all and (min-width: 992px) {
    .product-detail .owl-thumbs .thumb > img {
        display: block;
    }
}

.product-item-detail-slider-container.popup {
    left: 15px;
    padding-top: 15px;
    height: 100%;
}

.product-item-detail-slider-container.popup .product-item-detail-slider-close {
    top: 2rem;
    right: 2rem;
}

@media all and (min-width: 992px) {
    .product-item-detail-slider-container.popup .product-item-detail-slider-block {
        flex: 0 0 75%;
        max-width: 75%;
    }

    .product-item-detail-slider-container.popup .owl-thumbs {
        flex: 0 0 25%;
        max-width: 25%;
    }
}

.product-item-detail-slider-container.popup .product-item-detail-slider-controls-image {
    margin-bottom: 0;
}

.product-item-amount-field-container {
    margin: 0;
}

span.product-item-amount-field-btn {
    width: 35px;
    height: 35px;
    background-color: var(--white);
    color: #000000;
    border: 1px solid #000000;
    border-radius: 0;
}

span.product-item-amount-field-btn:hover {
    background: rgba(188, 205, 42, 0.25);
}

span.product-item-amount-field-btn::after {
    display: inline-block;
    font-style: normal;
    font-variant: normal;
    text-rendering: auto;
    -webkit-font-smoothing: antialiased;
    top: 50%;
    transform: translateY(-50%);
    background: none;
    font-family: "Font Awesome 5 Free";
    font-weight: 900;

}

span.product-item-amount-field-btn.product-item-amount-field-btn-minus::after {
    content: "\f053";
}

span.product-item-amount-field-btn.product-item-amount-field-btn-plus::after {
    content: "\f054";
}

input.product-item-amount-field {
    width: 35px;
    height: 35px;
    background: var(--white) !important;
    border: 1px solid #000000;
    border-left: none;
    border-right: none;
    font-size: inherit;
    font-weight: 700;
}

.product-item-scu-container {
    position: relative;
}

/*.detail__size_btn {*/
/*    border: 1px solid var(--primary);*/
/*    height: 35px;*/
/*    display: flex;*/
/*    justify-content: space-between;*/
/*    align-items: center;*/
/*    padding: 0.5rem;*/
/*    cursor: pointer;*/
/*}*/

/*.detail__size_btn::after {*/
/*    display: inline-block;*/
/*    font-style: normal;*/
/*    font-variant: normal;*/
/*    text-rendering: auto;*/
/*    -webkit-font-smoothing: antialiased;*/
/*    background: none;*/
/*    font-family: "Font Awesome 5 Free";*/
/*    font-weight: 900;*/
/*    content: "\f077";*/
/*    color: var(--primary);*/
/*}*/

/*.detail__size_btn.collapsed::after {*/
/*    content: "\f078";*/
/*}*/

/*.detail__size_btn > span {*/
/*    font-weight: 700;*/
/*}*/

/*.detail__size {*/
/*    position: absolute;*/
/*    left: 0;*/
/*    bottom: calc(100% + 2px);*/
/*    display: flex;*/
/*    flex-direction: column;*/
/*    width: 100%;*/
/*    max-height: 50vh;*/
/*    overflow-y: auto;*/
/*    background-color: var(--white);*/
/*    border: 1px solid var(--primary);*/
/*}*/

/*.detail__size li {*/
/*    padding: 0;*/
/*}*/

/*.detail__size .product-item-scu-item-text-container {*/
/*    transition: all 0.3s ease;*/
/*}*/

/*.detail__size .product-item-scu-item-text-block {*/
/*    outline: none;*/
/*    padding: 0.5rem;*/
/*}*/


.detail__size .product-item-scu-item-text-container {
  max-width: initial;
  width: auto;
  height: 2rem;
  padding: 0;
  border: 3px solid #000000;
  border-radius: 10%;
  margin: 0 .25rem 0.5rem;
}

.detail__size .product-item-scu-item-text-block {
  width: 100%;
  height: 100%;
  outline: none;
  padding-top: 0;
}

.detail__size .product-item-scu-item-text-container.selected {
  background-color: #000000;
  color: white;
}

.detail__size .product-item-scu-item-text {
  display: flex;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  font-size: 16px;
  height: 100%;
  flex-direction: column;
  flex-wrap: nowrap;
  align-content: center;
  justify-content: center;
  align-items: center;
  font-weight: 600;
}


.detail__size .product-item-scu-item-text-container.notallowed .product-item-scu-item-text-block::after {
    content: 'Нет в налиичии';
    background: none;
    font-weight: 700;
    display: inline-block;
    position: relative;
    top: auto;
    left: auto;
    right: auto;
    bottom: auto;
    margin-left: 0.5rem;
    transition: all 0.3s ease;
}

.w-85{
  width: 85%!important;
}

.w-70{
  width: 70%!important;
}

.w-30{
  width: 30%!important;
}

.w-15{
  width: 15%!important;
}

.flex-direction-column{
  flex-direction: column;
}

.flex-wrap-nowrap{
  flex-wrap: nowrap;
}

.font-size-1-5{
  font-size: 1.5rem!important;
}


.product-item-detail-slider-container {
    max-width: initial;
    margin-bottom: 2rem;
}

.contact-map-block .col-12.contacts{
  display: flex;
  color: white;
  background-color: #BCCD2A;
}

.contact-map-block .col-12.contacts > div {
  z-index: 1;
}

.contact-map-block .col-12.contacts > div div{
  font-family: Montserrat, sans-serif;
  font-weight: 600;
  font-size: 1rem;
}

.contact-map-block .col-12.contacts > div div i{
  font-size: 1.5rem;
}

.contact-map-block .col-12.contacts::before{
  content: " ";
  position: absolute;
  right: 90%;
  clip-path: polygon(90% 0%,100% 0%,100% 100%,55% 100%);
  width: 100%;
  height: 100%;
  background-color: #BCCD2A;
}

.detail__promocode {
    position: relative;
    border: 1px solid black;
    padding: 5px 5px 5px 15px;
    margin-bottom: 15px;
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.detail__promocode .promocode-title {
    display: block;
    font-weight: bold;
    font-size: 1.125rem;
}

.detail__promocode .promocode-text {
    display: block;
    text-align: center;
    padding: 10px 15px;
    font-weight: bold;
    color: white;
    background-color: #9eb678;
}

.product-item-scu-list .product-item-scu-item-text-container.selected .product-item-scu-item-text-block {
    background-color: #000000;
}

@media all and (max-width: 767px) {
    .product-detail .detail__price {
        flex-direction: row!important;
        flex-wrap: nowrap;
        justify-content: flex-start;
    }

    .product-detail .detail__price .price--new{
        margin-left: 2rem;
    }
}

@media all and (max-width: 991px) {
    .contact-map-block .col-12.map{
        padding-right: 0;
        padding-left: 0;
    }

    .contact-map-block .col-12.contacts{
        padding: 1.5rem 0;
    }

    .contact-map-block .col-12.map img{
        width: 100%!important;
        height: 105%;
    }

    .contact-map-block .col-12.contacts::before{
        display: none;
    }

}


@media all and (max-width: 1199px) {
    .contact-map-block .col-12.contacts::before {
        clip-path: polygon(90% 0%,100% 0%,100% 100%,70% 100%);
    }
}


.bg-gray{
  background-color: #F4F5F5;
}

@media (max-width: 320px) {
    .btn.btn-outline-primary.btn-block {
        padding: 0px;
    }

    .d-inline-flex.flex-direction-column.flex-wrap-nowrap.justify-content-center.pl-5.ml-3 {
        padding-left: 10px !important;
        padding-right: 15px !important;
    }
}
